- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::DiagMatrixSpace Class Reference

This is the matrix space for DiagMatrix. More...

`#include <IpDiagMatrix.hpp>`

Inheritance diagram for Ipopt::DiagMatrixSpace:

[legend]
Collaboration diagram for Ipopt::DiagMatrixSpace:

[legend]
List of all members.

## Public Member Functions
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded MakeNew method for the SymMatrixSpace base class.
DiagMatrix * | MakeNewDiagMatrix () const
| Method for creating a new matrix of this specific type.
Constructors / Destructors
| DiagMatrixSpace (Index dim)
| Constructor, given the dimension of the matrix.
virtual | ~DiagMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| DiagMatrixSpace ()
| Default Constructor.
| DiagMatrixSpace (const DiagMatrixSpace &)
| Copy Constructor.
void | operator= (const DiagMatrixSpace &)
| Overloaded Equals Operator.

## Detailed Description

This is the matrix space for DiagMatrix.

Definition at line 88 of file IpDiagMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::DiagMatrixSpace::DiagMatrixSpace | ( | Index | dim | ) | `[inline]`

Constructor, given the dimension of the matrix.

Definition at line 94 of file IpDiagMatrix.hpp.

virtual Ipopt::DiagMatrixSpace::~DiagMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 100 of file IpDiagMatrix.hpp.

Ipopt::DiagMatrixSpace::DiagMatrixSpace | ( |  | ) | `[private]`

Default Constructor.

Ipopt::DiagMatrixSpace::DiagMatrixSpace | ( | const DiagMatrixSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual SymMatrix* Ipopt::DiagMatrixSpace::MakeNewSymMatrix | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the SymMatrixSpace base class.

Implements Ipopt::SymMatrixSpace.

Definition at line 106 of file IpDiagMatrix.hpp.

References MakeNewDiagMatrix().

DiagMatrix* Ipopt::DiagMatrixSpace::MakeNewDiagMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 112 of file IpDiagMatrix.hpp.

Referenced by MakeNewSymMatrix().

void Ipopt::DiagMatrixSpace::operator= | ( | const DiagMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpDiagMatrix.hpp